NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.CAE.ClippingParameters Class Reference

This class is worked as a packet of information that can be used to set the clipping parameters of a NXOpen.CAE.Post object. More...

Inheritance diagram for NXOpen.CAE.ClippingParameters:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe double GetClipValue ()
 Ask clip value More...
 
unsafe
NXOpen.CAE.Result.CoordinateSystem 
GetCoordinateSystem ()
 Ask coordinate system More...
 
unsafe NXOpen.CAE.Post.ClipPlane GetPlane ()
 Ask plane More...
 
unsafe
NXOpen.CAE.PostCoordinateSystem 
GetPostCoordinateSystem ()
 Ask Coordinate System object More...
 
unsafe
NXOpen.CAE.PostSelectionEntity 
GetRefNode ()
 Ask reference selection entity More...
 
unsafe void GetSelectedCoordinateSystem (out NXOpen.CAE.Result.CoordinateSystemSource source, out int id)
 Ask selected coordinate system More...
 
unsafe bool GetShowClippedGhost ()
 Ask show clipped ghost More...
 
unsafe bool GetShowOutline ()
 Ask show outline More...
 
unsafe NXOpen.CAE.Post.ClipSide GetSide ()
 Ask side More...
 
unsafe void SetClipValue (double clipValue)
 Set clip value More...
 
unsafe void SetCoordinateSystem (NXOpen.CAE.Result.CoordinateSystem coordinateSystem)
 Set coordinate system More...
 
unsafe void SetPlane (NXOpen.CAE.Post.ClipPlane plane)
 Set plane More...
 
unsafe void SetPostCoordinateSystem (NXOpen.CAE.PostCoordinateSystem val)
 Set Coordinate System object More...
 
unsafe void SetRefNode (NXOpen.CAE.PostSelectionEntity val)
 Set reference selection entity More...
 
unsafe void SetSelectedCoordinateSystem (NXOpen.CAE.Result.CoordinateSystemSource source, int id)
 Set selected coordinate system More...
 
unsafe void SetShowClippedGhost (bool showClippedGhost)
 Set show clipped ghost More...
 
unsafe void SetShowOutline (bool showOutline)
 Set show outline More...
 
unsafe void SetSide (NXOpen.CAE.Post.ClipSide side)
 Set side More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class is worked as a packet of information that can be used to set the clipping parameters of a NXOpen.CAE.Post object.


Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.ResultParameters


You can modifiy these values but validation of correctness will only be perfomed when this object is set to a NXOpen.CAE.Post object

To obtain an instance of this class use NXOpen.Session.ResultManager .

Created in NX7.5.1

Member Function Documentation

unsafe double NXOpen.CAE.ClippingParameters.GetClipValue ( )
inline

Ask clip value

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.CoordinateSystem NXOpen.CAE.ClippingParameters.GetCoordinateSystem ( )
inline

Ask coordinate system

Created in NX7.5.1

Deprecated in NX1847.0.0. Use NXOpen.CAE.ClippingParameters.GetPostCoordinateSystem instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Post.ClipPlane NXOpen.CAE.ClippingParameters.GetPlane ( )
inline

Ask plane

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.PostCoordinateSystem NXOpen.CAE.ClippingParameters.GetPostCoordinateSystem ( )
inline

Ask Coordinate System object

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.PostSelectionEntity NXOpen.CAE.ClippingParameters.GetRefNode ( )
inline

Ask reference selection entity

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.ClippingParameters.GetSelectedCoordinateSystem ( out NXOpen.CAE.Result.CoordinateSystemSource  source,
out int  id 
)
inline

Ask selected coordinate system

Created in NX7.5.1

Deprecated in NX1847.0.0. Use NXOpen.CAE.ClippingParameters.GetPostCoordinateSystem instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
source
id
unsafe bool NXOpen.CAE.ClippingParameters.GetShowClippedGhost ( )
inline

Ask show clipped ghost

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ClippingParameters.GetShowOutline ( )
inline

Ask show outline

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Post.ClipSide NXOpen.CAE.ClippingParameters.GetSide ( )
inline

Ask side

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.ClippingParameters.SetClipValue ( double  clipValue)
inline

Set clip value

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
clipValue
unsafe void NXOpen.CAE.ClippingParameters.SetCoordinateSystem ( NXOpen.CAE.Result.CoordinateSystem  coordinateSystem)
inline

Set coordinate system

Created in NX7.5.1

Deprecated in NX1847.0.0. Use NXOpen.CAE.ClippingParameters.SetPostCoordinateSystem instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
coordinateSystem
unsafe void NXOpen.CAE.ClippingParameters.SetPlane ( NXOpen.CAE.Post.ClipPlane  plane)
inline

Set plane

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
plane
unsafe void NXOpen.CAE.ClippingParameters.SetPostCoordinateSystem ( NXOpen.CAE.PostCoordinateSystem  val)
inline

Set Coordinate System object

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
val
unsafe void NXOpen.CAE.ClippingParameters.SetRefNode ( NXOpen.CAE.PostSelectionEntity  val)
inline

Set reference selection entity

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
val
unsafe void NXOpen.CAE.ClippingParameters.SetSelectedCoordinateSystem ( NXOpen.CAE.Result.CoordinateSystemSource  source,
int  id 
)
inline

Set selected coordinate system

Created in NX7.5.1

Deprecated in NX1847.0.0. Use NXOpen.CAE.ClippingParameters.SetPostCoordinateSystem instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
source
id
unsafe void NXOpen.CAE.ClippingParameters.SetShowClippedGhost ( bool  showClippedGhost)
inline

Set show clipped ghost

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showClippedGhost
unsafe void NXOpen.CAE.ClippingParameters.SetShowOutline ( bool  showOutline)
inline

Set show outline

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
showOutline
unsafe void NXOpen.CAE.ClippingParameters.SetSide ( NXOpen.CAE.Post.ClipSide  side)
inline

Set side

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
side

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.